For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
      • POSTCreate delivery configuration
      • DELDelete delivery configuration
      • GETGet delivery configuration by ID
      • GETGet delivery configurations by environment
      • GETList all delivery configurations
      • PATCHUpdate delivery configuration
      • POSTValidate delivery configuration
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewIntegration Delivery Configurations Beta

Validate delivery configuration

POST
/api/v2/integration-capabilities/featureStore/:projectKey/:environmentKey/:integrationKey/:id/validate
POST
/api/v2/integration-capabilities/featureStore/:projectKey/:environmentKey/:integrationKey/:id/validate
$curl -X POST https://app.launchdarkly.com/api/v2/integration-capabilities/featureStore/projectKey/environmentKey/integrationKey/id/validate \
> -H "Authorization: <apiKey>"
1{
2 "statusCode": 200,
3 "error": "string",
4 "timestamp": 1654104600000,
5 "responseBody": "string"
6}

Validate the saved delivery configuration, using the validationRequest in the integration’s manifest.json file.

Was this page helpful?
Previous

Integrations Beta

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Path parameters

projectKeystringRequiredformat: "string"
The project key
environmentKeystringRequiredformat: "string"
The environment key
integrationKeystringRequiredformat: "string"
The integration key
idstringRequiredformat: "string"
The configuration ID

Response

Integration delivery configuration validation response
statusCodeinteger
The status code returned by the validation
errorstring
timestamplong
Timestamp of when the validation was performed
responseBodystring
JSON response to the validation request

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error